# frozen_string_literal: true

# This file is part of RASN1
# See https://codeberg.org/lemontree55/rasn1 for more informations
# Copyright (C) 2016-2024 Sylvain Daubert <sylvain.daubert@laposte.net>
# Copyright (C) 2024 LemonTree55 <lenontree@proton.me>
# This program is published under MIT license.

module RASN1
  module Types
    # ASN.1 IA5 String
    # @author Sylvain Daubert
    class IA5String < OctetString
      # IA5String id value
      ID = 22
      # UniversalString encoding
      # @since 0.15.0
      ENCODING = Encoding::US_ASCII

      # Get ASN.1 type
      # @return [String]
      def self.type
        'IA5String'
      end
    end
  end
end
